warbo-utilities: 797c3d5b5877498536ddf2867b69695f7f03f89e

     1: #!/usr/bin/env bash
     2: 
     3: command -v git > /dev/null || {
     4:     echo "No 'git' command, aborting $0" 1>&2
     5:     exit 1
     6: }
     7: 
     8: git update-server-info
     9: 
    10: #command -v ts > /dev/null || {
    11: #    echo "No 'ts' command, aborting $0" 1>&2
    12: #    exit 1
    13: #}
    14: 
    15: # Fiddle environment to prevent problems
    16: # shellcheck disable=SC2046
    17: unset $(git rev-parse --local-env-vars)
    18: 
    19: # Mirror everywhere (GitHub, etc.)
    20: git remote | while read -r REMOTE
    21: do
    22:     git branch | cut -c 3- | while read -r BRANCH
    23:     do
    24:         echo "Pushing '$BRANCH' to '$REMOTE'" 1>&2
    25:         git push "$REMOTE" "$BRANCH"
    26:     done
    27: done
    28: 
    29: #NAME=$(basename "$PWD" .git)
    30: #if command -v laminarc > /dev/null &&
    31: #   [[ -e /var/lib/laminar/cfg/jobs/"$NAME".run ]]
    32: #then
    33: #    echo "Queueing build of '$NAME'" 1>&2
    34: #    LAMINAR_REASON='Git hook' laminarc queue "$NAME"
    35: #fi
    36: 
    37: #echo "Scheduling push to Web and IPFS" 1>&2
    38: #[[ -n "$IPFS_PATH" ]] || export IPFS_PATH=/var/lib/ipfs/.ipfs
    39: if command -v ts > /dev/null
    40: then
    41:     ts pushGitPages "$PWD"
    42: else
    43:     if command -v tsp > /dev/null
    44:     then
    45:         ts pushGitPages "$PWD"
    46:     else
    47:         echo "TaskSpooler (ts/tsp) not found, building pages directly" 1>&2
    48:         pushGitPages "$PWD"
    49:     fi
    50: fi

Generated by git2html.